getTables {openxlsx} | R Documentation

## List Excel tables in a workbook

### Description

List Excel tables in a workbook

### Usage

    getTables(wb, sheet)

### Arguments

`wb` | A workbook object
`sheet` | A name or index of a worksheet

### Value

character vector of table names on the specified sheet

### Examples

    wb <- createWorkbook()
    addWorksheet(wb, sheetName = "Sheet 1")
    writeDataTable(wb, sheet = "Sheet 1", x = iris)
    writeDataTable(wb, sheet = 1, x = mtcars, tableName = "mtcars", startCol = 10)

    getTables(wb, sheet = "Sheet 1")

[Package openxlsx version 4.1.0 Index]